Description: Drop obsolete "U" mode passed to open()
 The "U" mode has been deprecated in python since python3 and has had no
 effect.  In python 3.11, it is now disallowed.  Drop this mode flag that
 causes runtime failures.
Author: Steve Langasek <steve.langasek@ubuntu.com>
Last-Update: 2023-01-09
Forwarded: no

Index: apbs-3.4.1/tools/manip/inputgen.py
===================================================================
--- apbs-3.4.1.orig/tools/manip/inputgen.py
+++ apbs-3.4.1/tools/manip/inputgen.py
@@ -311,7 +311,7 @@
                        file (string)
     """
     nproc = 0
-    file = open(filename, "rU")
+    file = open(filename, "r")
     text = ""
     while 1:
         line = file.readline()
